Bug 319201 - php errors in piranha made visible by display_errors = On in /etc/php.ini
php errors in piranha made visible by display_errors = On in /etc/php.ini
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: piranha (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Grac
:
Depends On:
Blocks: 338101
  Show dependency treegraph
 
Reported: 2007-10-04 16:22 EDT by Matthew Whitehead
Modified: 2009-04-16 16:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0794
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 15:08:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (4.29 KB, patch)
2007-10-18 12:36 EDT, Marek Grac
no flags Details | Diff

  None (edit)
Description Matthew Whitehead 2007-10-04 16:22:09 EDT
Description of problem: php errors in piranha made visible by php.ini config


Version-Release number of selected component (if applicable): 0.8.3-1


How reproducible: 100%


Steps to Reproduce:
1. enable 'display_errors = On' in /etc/php.ini
2. In the piranha-gui (http://localhost:3636), select 'Virtual Servers->Real Server'
3. It will echo php errors to the web client. There should be no errors.
  
Actual results: Error messages that make the display unusable.


Expected results: There should be no error messages.


Additional info:
Comment 1 Marek Grac 2007-10-18 12:36:36 EDT
Created attachment 231181 [details]
Patch

Patch that solves php errors on several pages
Comment 5 errata-xmlrpc 2008-07-25 15:08:54 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0794.html

Note You need to log in before you can comment on or make changes to this bug.